determinacy_check(pred(Sym,Clauses,_Prag)) :-
	sym_has_prop(Sym, mode(Mode)), Mode =.. [_P|ArgModes],
	typeout(ArgModes - Clauses),
	( disjoint(Clauses, ArgModes) -> typeout('deterministic') ; typeout('bummer') ).

disjoint([_Clause], _Modes).
disjoint([Clause1, Clause2], Modes) :-
	Clause1 = clause(Args1,_Goal1,_),
	Clause2 = clause(Args2,_Goal2,_),
	discriminating_args(Modes, Args1, Args2).

%%check if the arguments are input positions if not we do want a choice point.
discriminating_args([Mode|Modes], [Arg1|Args1], [Arg2|Args2]) :-
	( in_mode(Mode), different_symbols(Arg1, Arg2) -> true
	; discriminating_args(Modes, Args1, Args2)
	).

different_symbols(integer(_), constant(_)).
different_symbols(integer(N), integer(M)) :- N =\= M.
different_symbols(integer(_), real(_)).
different_symbols(integer(_), structure(_,_)).
%% different_symbols(integer(N),varocc(M)) :- 
different_symbols(constant(C), constant(K)) :- C =\= K.
different_symbols(constant(_), integer(_)).
different_symbols(constant(_), real(_)).
different_symbols(constant(_), structure(_,_)).
%%  different_symbols(constant(K),varocc(M)) :-
different_symbols(real(_), constant(_)).
different_symbols(real(_), integer(_)).
different_symbols(real(N), real(M)) :- N =\= M.
different_symbols(real(_), structure(_,_)).
%%  different_symbols(real(K),varocc(M)) :-

% canonical([Arg1|Argsin],Goalin,[Arg2|Argsout],Goalout):-
% 	Arg1=varocc(_)->canonical(Argsin,Goalin,Argsout,Goalout)
% 	; canonical(Argsin,Goalin,Args
	
%%write a predicate to check in the goal the binding of a variable.

:- mode in_mode(++).
in_mode(+).
in_mode(++).
