/* File:      emu_ctrl.h
** Author(s): Kostis Sagonas
** Contact:   kostis@csd.uu.se
** 
** Copyright (C) Kostis Sagonas, 2000
** 
** XXX is free software; you can redistribute it and/or modify it under the
** terms of the GNU Library General Public License as published by the Free
** Software Foundation; either version 2 of the License, or (at your option)
** any later version.
** 
** XXX is distributed in the hope that it will be useful, but WITHOUT ANY
** WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
** FOR A PARTICULAR PURPOSE.  See the GNU Library General Public License for
** more details.
** 
** You should have received a copy of the GNU Library General Public License
** along with XXX; if not, write to the Free Software Foundation,
** Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**
** $Id: emu_ctrl.h,v 1.8 2004/06/09 15:05:54 kostis Exp $
** 
*/


/*======================================================================*/
/* Stuff added to play with register declarations...                    */
/*======================================================================*/

#if (defined(__GNUC__) && !defined(DEBUG))

#if defined(__i386__)
#define LPCREG __asm__ ("ebx")
#elif defined(__sparc__)
#define LPCREG __asm__ ("l0")
#else
#define LPCREG
#endif

#else
#define LPCREG
#endif

/*======================================================================*/
/* Stuff added for controlling the interpretation technique used.       */
/*======================================================================*/

#ifdef THREADED
#ifdef DEBUG
#define MoreMoreYesGimmeMore  \
  if (flags[PIL_TRACE]) debug_inst(lpcreg, ereg); \
  xctr++; \
  goto **(void **)lpcreg
#else
#define MoreMoreYesGimmeMore   goto **(void **)lpcreg
#endif

#elif JUMP_TABLE
#ifdef DEBUG
#define MoreMoreYesGimmeMore  \
  if (flags[PIL_TRACE]) debug_inst(lpcreg, ereg); \
  xctr++; \
  goto **(void **)(linstr_label_tab + *lpcreg)
#else
#define MoreMoreYesGimmeMore   goto **(void **)(linstr_label_tab + *lpcreg)
#endif

#else /* switch-based emulator */
#define MoreMoreYesGimmeMore   goto contcase
#endif

/*======================================================================*/
