/* File:      ordsets.H
** Author(s): (see ordsets.P)
**
** XXX is free software; you can redistribute it and/or modify it under the
** terms of the GNU Library General Public License as published by the Free
** Software Foundation; either version 2 of the License, or (at your option)
** any later version.
**
** XXX is distributed in the hope that it will be useful, but WITHOUT ANY
** WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
** FOR A PARTICULAR PURPOSE.  See the GNU Library General Public License for
** more details.
**
** You should have received a copy of the GNU Library General Public License
** along with XXX; if not, write to the Free Software Foundation,
** Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**
** $Id: ordsets.H,v 1.1 2003/04/09 12:51:50 kostis Exp $
*/

:- export
        is_ordset/1,
        list_to_ord_set/2,      %  List -> Set
        ord_add_element/3,      %  Set x Elem -> Set
        ord_del_element/3,      %  Set x Elem -> Set
        merge/3,                %  OrdList x OrdList -> OrdList
        ord_disjoint/2,         %  Set x Set ->
        ord_insert/3,           %  Set x Elem -> Set
        ord_intersect/2,        %  Set x Set ->
        ord_intersection/3,
        ord_intersection/4,
        ord_intersection/2,
        ord_member/2,
        ord_seteq/2,            %  Set x Set ->
        ord_setproduct/3,       %  Set x Set -> SetOfPairs
        ord_subset/2,           %  Set x Set ->
        ord_subtract/3,         %  Set x Set -> Set
        ord_symdiff/3,          %  Set x Set -> Set
        ord_union/3,            %  Set x Set -> Set
        ord_union/4,
        ord_union/2.            %  list(Set) -> Set

:- import sort/2 from setof.
:- import length/2 from basics.
:- import compare/3 from standard.
