/* File:      packages.H -- Package bootstrapping aid
** Author(s): kifer
** Contact:   xsb-contact@cs.sunysb.edu
** 
** Copyright (C) The Research Foundation of SUNY, 1993-1998
** 
** XSB is free software; you can redistribute it and/or modify it under the
** terms of the GNU Library General Public License as published by the Free
** Software Foundation; either version 2 of the License, or (at your option)
** any later version.
** 
** XSB is distributed in the hope that it will be useful, but WITHOUT ANY
** WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
** FOR A PARTICULAR PURPOSE.  See the GNU Library General Public License for
** more details.
** 
** You should have received a copy of the GNU Library General Public License
** along with XSB; if not, write to the Free Software Foundation,
** Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**
** $Id: packaging.H,v 1.3 2002/11/04 10:41:45 kostis Exp $
** 
*/


:- export bootstrap_package/2, bootstrap_syspackage/2,
	  bootstrap_sitepackage/2, bootstrap_userpackage/3,
	  package_configuration/2, unload_package/1.

:- import fmt_write_string/3 from file_io.
:- import library_directory/1 from sysinitrc.
:- import xxx_configuration/2 from xxx_config.
:- import slash/1, expand_filename/2 from machine.
:- import (dynamic)/1, assert/1, retract/1 from assert.

