/* File:      xcallxsb.H
** Author(s): Ernie Johnson
** Contact:   xsb-contact@cs.sunysb.edu
** 
** Copyright (C) The Research Foundation of SUNY, 1997-1998
** 
** XSB is free software; you can redistribute it and/or modify it under the
** terms of the GNU Library General Public License as published by the Free
** Software Foundation; either version 2 of the License, or (at your option)
** any later version.
** 
** XSB is distributed in the hope that it will be useful, but WITHOUT ANY
** WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
** FOR A PARTICULAR PURPOSE.  See the GNU Library General Public License for
** more details.
** 
** You should have received a copy of the GNU Library General Public License
** along with XSB; if not, write to the Free Software Foundation,
** Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**
** $Id: xcallxsb.H,v 1.2 2003/09/04 15:01:06 kostis Exp $
** 
*/

:- export c_callloop/0.

:- import conset/2 from gensym.
:- import excess_vars/4 from setof.
:- import set_inthandler/2 from loader.
:- import file_read_foe/3 from xsb_read.
:- import file_write/2, file_nl/1 from xsb_writ.
:- import file_open/3, file_close/1 from file_io.
:- import integer/1, cleanup_open_tables/0 from machine.
:- import abort/0, call_expose/1, goal_cut_trans/3, repeat/0, (=..)/2
     from standard.
