/* File:      heap_defs_xsb.h
** Author(s): Kostis Sagonas
** Contact:   kostis@csd.uu.se
** 
** XXX is free software; you can redistribute it and/or modify it under the
** terms of the GNU Library General Public License as published by the Free
** Software Foundation; either version 2 of the License, or (at your option)
** any later version.
** 
** XXX is distributed in the hope that it will be useful, but WITHOUT ANY
** WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
** FOR A PARTICULAR PURPOSE.  See the GNU Library General Public License for
** more details.
** 
** You should have received a copy of the GNU Library General Public License
** along with XXX; if not, write to the Free Software Foundation,
** Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**
** $Id: heap_defs_xsb.h,v 1.2 2002/08/06 12:56:35 kostis Exp $
** 
*/


/*--- The following is for the type of garbage collection to be used ---*/

#define NO_GC      0
#define SLIDING_GC 1
#define COPYING_GC 2

/* The following is for controlling how many generations of the heap
 * the generational garbage collector should collect.
 */

#define GGC_NONE   0  /* collect no part of heap: 0 generations */
#define GGC_MAJOR  1  /* collect all of the heap: see it as 1 part */
#define GGC_MINOR  2  /* collect young gen: see the heap as 2 generations */

/*----------------------------------------------------------------------*/
