/* File:      pathname_xxx.h
** Author(s): Kostis Sagonas
** Contact:   kostis@csd.uu.se
** 
** XXX is free software; you can redistribute it and/or modify it under the
** terms of the GNU Library General Public License as published by the Free
** Software Foundation; either version 2 of the License, or (at your option)
** any later version.
** 
** XXX is distributed in the hope that it will be useful, but WITHOUT ANY
** WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
** FOR A PARTICULAR PURPOSE.  See the GNU Library General Public License for
** more details.
** 
** You should have received a copy of the GNU Library General Public License
** along with XXX; if not, write to the Free Software Foundation,
** Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**
** $Id: pathname_xxx.h,v 1.1 2002/10/10 17:17:33 kostis Exp $
** 
*/

extern bool is_absolute_filename(char *);

extern char *dirname_canonic(char *);
extern char *expand_filename(char *);
extern void transform_pathname(char *);
extern bool almost_search_module(char *);
extern char *tilde_expand_filename(char *);
extern char *existing_file_extension(char *);
extern void parse_filename(char *, char **, char **, char **);

DllExport extern char * call_conv strip_names_from_path(char*, int);

/*----------------------------------------------------------------------*/
