#include <stdio.h>
#include <string.h>
#include <alloca.h>

#include "../emu/cinterf.h"

int minus_one(void)
{
  int i;

  i = ptoc_int(1);
  ctop_int(2, i-1);
  return TRUE;
}

int change_char(void)
{
   char	*str_in; 
   int	pos;
   char *c, *str_out;

	str_in = (char *) ptoc_string(1);
	str_out = (char *) alloca(strlen(str_in)+1);
	strcpy(str_out, str_in);
	pos = ptoc_int(2);
	c = (char *) ptoc_string(3);
	str_out[pos-1] = c[0];

	/* Now that we have constructed a new atom, we must ensure that it
	   appears in the atom table.  This can be done using function
	   intern_atom() that searches the atom table for the atom, and
	   if the atom does not appear there, it inserts it.  If we are 
	   sure that the atom already appeared in the symbol table there
	   is no need to use intern_atom(). 
	 */

	ctop_string(4, intern_atom(str_out));

	return TRUE;
}



