/* File:      ugraphs.H
** Author(s): (see ugraphs.P)
** 
** XXX is free software; you can redistribute it and/or modify it under the
** terms of the GNU Library General Public License as published by the Free
** Software Foundation; either version 2 of the License, or (at your option)
** any later version.
** 
** XXX is distributed in the hope that it will be useful, but WITHOUT ANY
** WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
** FOR A PARTICULAR PURPOSE.  See the GNU Library General Public License for
** more details.
** 
** You should have received a copy of the GNU Library General Public License
** along with XXX; if not, write to the Free Software Foundation,
** Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**
** $Id: ugraphs.H,v 1.1 2003/04/09 12:51:51 kostis Exp $
*/

:- export vertices_edges_to_ugraph/3,
	  vertices/2,
	  edges/2,
	  add_vertices/3,
	  del_vertices/3,
	  add_edges/3,
	  del_edges/3,
	  transpose/2,
	  neighbors/3,
	  neighbours/3,
	  complement/2,
	  compose/3,
	  transitive_closure/2,
	  symmetric_closure/2,
	  top_sort/2,
	  max_path/5,
	  min_path/5,
	  min_paths/3,
	  path/3,
	  reduce/2,
	  reachable/3,
%	  random_ugraph/3,	% temporarily removed
	  min_tree/3,
	  clique/3,
	  independent_set/3,
	  coloring/3,
	  colouring/3,
	  graph_union/3.

:- import ord_add_element/3,
	  ord_del_element/3,
	  ord_disjoint/2,
	  ord_intersection/3,
	  ord_subset/2,
	  ord_subtract/3,
	  ord_union/3,
	  ord_union/4
     from ordsets.
:- import 'C'/3 from dcg.
%:- import random/1 from random.
:- import sort/2, keysort/2 from setof.
:- import file_write/2, file_nl/1 from xsb_writ.
:- import compare/3, abort/0, integer/1 from standard.
:- import append/3, member/2, reverse/2, length/2 from basics.
:- import ord_list_to_assoc/2, get_assoc/3, get_assoc/5 from assoc.

