/* File:      loader.H
** Author(s): Jiyang Xu, Kostis Sagonas
** Contact:   xsb-contact@cs.sunysb.edu
** 
** Copyright (C) The Research Foundation of SUNY, 1986, 1993-1998
** Copyright (C) ECRC, Germany, 1990
** 
** XSB is free software; you can redistribute it and/or modify it under the
** terms of the GNU Library General Public License as published by the Free
** Software Foundation; either version 2 of the License, or (at your option)
** any later version.
** 
** XSB is distributed in the hope that it will be useful, but WITHOUT ANY
** WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
** FOR A PARTICULAR PURPOSE.  See the GNU Library General Public License for
** more details.
** 
** You should have received a copy of the GNU Library General Public License
** along with XSB; if not, write to the Free Software Foundation,
** Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**
** $Id: loader.H,v 1.4 2004/04/09 08:51:30 kostis Exp $
** 
*/


:- export load_pred/1, load/1, libpath/1, set_inthandler/2, '_$load_undef'/1,
	  windows_os_loader/0.

:- import conset/2 from gensym.
:- import abort/1 from standard.
:- import str_cat/3 from string.
:- import standard_symbol/3 from std_xsb.
:- import library_directory/1 from sysinitrc.
:- import compile/1, reconsult/1 from consult.
:- import xxx_configuration/2 from xxx_config.
:- import term_psc/2, psc_name/2, psc_arity/2, psc_env/2, psc_type/2,
	  psc_set_type/2, psc_prop/2, psc_set_prop/2, slash/1,
	  psc_import/3, unload_seg/1, str_sub/3, intern_string/2,
	  call0/1, code_call/3, code_load/3, stat_flag/2, stat_set_flag/2,
	  expand_filename/2, tilde_expand_filename/2, is_absolute_filename/1,
	  machine_file_exists/1, formatted_io/5, dirname_canonic/2
   from machine.

